Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AblePatternMatchClause

    java.lang.Object
      com.ibm.able.rules.AblePatternMatchClause

All Implemented Interfaces:
  java.io.Serializable

public class AblePatternMatchClause
extends java.lang.Object
implements java.io.Serializable

This class is used to consolidate a set of Selector variables and their associated constraint expressions for processing of an AblePatternMatchRule. This object represents the when() part of a when()/do{} pattern match rule.

See Also:
  `AblePatternMatchRule`, `AbleSelector`, Serialized Form

Field Summary
`protected AbleRuleSet` | `myRuleSet`
`protected AbleLogger` | `myTracer`
`protected int` | `numSelectors`
`protected java.util.Vector` | `resultSet`
`protected java.util.Vector` | `selectors`
`protected AbleVariable[]` | `selectorVars`
`protected AbleWorkingMemory` | `workingMemory`

Constructor Summary
`AblePatternMatchClause(java.util.Vector theSelectors)` Create a PatternMatchClause

Method Summary
`java.util.Vector` | `match(AbleWorkingMemory theWorkingMemory)` Returns a set of bindings that meet all selector constraints defined in the when() part of a when/do pattern match rule

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selectors

    protected java.util.Vector selectors

### resultSet

    protected java.util.Vector resultSet

### selectorVars

    protected AbleVariable[] selectorVars

### numSelectors

    protected int numSelectors

### workingMemory

    protected AbleWorkingMemory workingMemory

### myTracer

    protected AbleLogger myTracer

### myRuleSet

    protected AbleRuleSet myRuleSet

Constructor Detail

### AblePatternMatchClause

    public AblePatternMatchClause(java.util.Vector theSelectors)

  Create a PatternMatchClause

Parameters:
  `theSelectors` - A Vector of AbleSelectors which make up the when() part of a when/do pattern match rule

Method Detail

### match

    public java.util.Vector match(AbleWorkingMemory theWorkingMemory)
                           throws AbleDataException

  Returns a set of bindings that meet all selector constraints defined in the when() part of a when/do pattern match rule

  Parameters:
    `theWorkingMemory` - The associated working memory to search
  Returns:
    Vector of selector bindings that meet constraints
  Throws:
    `AbleDataException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005